Page MenuHomePhabricator

Create Cookbook to restart WDQS
Closed, ResolvedPublic

Description

At some point, after applying update or after doing deployment, there's need to restart wdqs-* units in a particular manner. Currently, @Gehel does this:
sudo cumin -b 1 -s 30 'A:wdqs-main' 'depool ; sleep 10 ; systemctl restart wdqs-blazegraph ; systemctl restart wdqs-categories ; sleep 20 ; systemctl restart wdqs-updater ; sleep 30 ; pool
It will be good to have this as cookbook instead of running a cumin command.

Details

Related Gerrit Patches:
operations/cookbooks : masterwdqs: add WDQS restart cookbook

Related Objects

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 25 2019, 8:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

(side note – you might as well combine the two restarts without sleep between them into a single systemctl restart wdqs-blazegraph wdqs-categories, should be equivalent but slightly nicer)

@Lucas_Werkmeister_WMDE Thanks! will keep that mind. Your reviews will be welcome when I submit a patch too.

Mathew.onipe triaged this task as Medium priority.Apr 30 2019, 2:22 PM

Change 507347 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/cookbooks@master] wdqs: add WDQS restart cookbook

https://gerrit.wikimedia.org/r/507347

Change 507347 merged by Gehel:
[operations/cookbooks@master] wdqs: add WDQS restart cookbook

https://gerrit.wikimedia.org/r/507347

debt closed this task as Resolved.Jun 21 2019, 2:15 PM